# Installment Schedules Installment Schedules ## Gets all of the installment schedules in the system. - [GET /installmentSchedules/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/listinstallmentschedules.md): This method will scan all installment schedules and and return them to the caller. ## Creates a new installment schedule record that does not already exist. - [POST /installmentSchedules/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/createinstallmentschedule.md): This method will auto-generate an ID and create a new installment schedule. If an ID is specified for the installment schedule, an error will be thrown. ## Execute Batch Operations - [POST /installmentSchedules/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns all installment schedules by order id - [GET /installmentSchedules/{tenantId}/order/{orderId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/listinstallmentschedulesbyorderid.md): Returns all installment schedules by order id ## Process Installment Schedule - [POST /installmentSchedules/{tenantId}/process](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/processinstallmentschedule.md): Will process the schedule, creating invoices/payments or orders as necessary ## Returns a installment schedule from the system by its ID. - [DELETE /installmentSchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/deleteinstallmentschedule.md): This method will delete a installment schedule with the specified ID. ## Returns a installment schedule from the system by its ID. - [GET /installmentSchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/getinstallmentschedule.md): This method will look up a installment schedule by the specified ID and return it back. ## Partially updates a installment schedule with the specified ID. - [PATCH /installmentSchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/patchinstallmentschedule.md): This method will patch an existing installment schedule with the specified ID, using the HTTP PATCH specification. ## Updates a installment schedule with the specified ID. - [PUT /installmentSchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/updateinstallmentschedule.md): This method will update an existing installment schedule with the specified ID.